[Overview][Constants][Types][Classes][Index] | Reference for unit 'Zipper' (#fcl)

# TInflater

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Child of TDeCompressor that implements the Inflate decompression method

## Declaration

Source position: zipper.pp line 344

`type TInflater = class(TDeCompressor)`
`public`
`constructor Create(); override;` |  | Constructor for the class instance
`procedure DeCompress; override;` |  | Removes compression applied using the deflate algorithm
`class function ZipID; override;` |  | Zip algorithm ID
`end;`

## Inheritance

`TInflater` |  | Child of TDeCompressor that implements the Inflate decompression method
`TDeCompressor` |  | Decompressor object
`TObject`